Attribute VB_Name = "LimitResize"
Option Explicit
Public Declare Function SetWindowLong Lib "user32.dll" Alias "SetWindowLongA" _
        (ByVal hWnd As Long, _
        ByVal nIndex As Long, _
        ByVal dwNewLong As Long) As Long
Public Declare Function CallWindowProc Lib "user32.dll" Alias "CallWindowProcA" _
        (ByVal lpPrevWndFunc As Long, _
        ByVal hWnd As Long, _
        ByVal Msg As Long, _
        ByVal wParam As Long, _
        ByVal lParam As Long) As Long
Public Const GWL_WNDPROC = -4
Public Const WM_SIZE = &H5
Public Const WM_GETMINMAXINFO = &H24

' The following variable is accessible to all code in this example.
Public pOldProc As Long  ' pointer to the previous window function
Public frm As Form

Public MaxFW As Integer
Public MinFW As Integer
Public MaxFH As Integer
Public MinFH As Integer

' Define the new window procedure.
Public Function WindowProc(ByVal hWnd As Long, ByVal uMsg As Long, _
            ByVal wParam As Long, ByVal lParam As Long) As Long
Dim retval As Long  ' return value

    ' If they have tried to resize, and they're not allowed to,
    ' set it back to original size
    If uMsg = 562 Then
        If frm.WindowState <> vbMinimized Then
            'Adjust these as needed
            If frm.Height < MinFH Then frm.Height = MinFH
            If frm.Height > MaxFH Then frm.Height = MaxFH
            If frm.Width < MinFW Then frm.Width = MinFW
            If frm.Width > MaxFW Then frm.Width = MaxFW
        End If
    Else
        retval = CallWindowProc(pOldProc, hWnd, uMsg, wParam, lParam)
    End If

    ' Have this function return whatever the function above returned.
    WindowProc = retval
End Function

